summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2010-05-18 08:39:40 +0200
committerJim Meyering <meyering@redhat.com>2010-05-19 07:28:16 +0200
commit1be4f180f5395b9ef89ab9166e33ba9a54cfba8b (patch)
tree049eaa121e8adfd686b00e6bcef66b784d767aa4 /tests
parent9f1d4e3e6f2b6cc8a3c70cc473b3ba714ecc2656 (diff)
downloadcoreutils-1be4f180f5395b9ef89ab9166e33ba9a54cfba8b.tar.xz
tests: exercise du's --max-depth option
* tests/Makefile.am (TESTS): Add du/max-depth. * tests/du/max-depth: New file.
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile.am1
-rwxr-xr-xtests/du/max-depth31
2 files changed, 32 insertions, 0 deletions
diff --git a/tests/Makefile.am b/tests/Makefile.am
index a732c631f..c458574fc 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -350,6 +350,7 @@ TESTS = \
du/inaccessible-cwd \
du/long-from-unreadable \
du/long-sloop \
+ du/max-depth \
du/no-deref \
du/no-x \
du/one-file-system \
diff --git a/tests/du/max-depth b/tests/du/max-depth
new file mode 100755
index 000000000..4ddb6b7c9
--- /dev/null
+++ b/tests/du/max-depth
@@ -0,0 +1,31 @@
+#!/bin/sh
+# exercise du's --max-depth=N option
+
+# Copyright (C) 2010 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+mkdir -p a/b/c/d/e || framework_failure_
+printf 'a/b/c\na/b\na\n' > exp || framework_failure_
+
+du --max-depth=2 a > out 2>err || fail=1
+
+# Remove the sizes. They vary between file systems.
+cut -f2- out > k && mv k out
+compare out exp || fail=1
+compare err /dev/null || fail=1
+
+Exit $fail